/*
 * \file TcpSocket.h
 *
 *  \date Sep 18, 2013
 *  \author Alexandre Tuleu
 */

#ifndef BIOROB_CPP_NET_TCPSOCKET_H_
#define BIOROB_CPP_NET_TCPSOCKET_H_

#include "Socket.h"

namespace net {

class TcpSocket : public Socket {
	DISABLE_COPY(TcpSocket);
	DISABLE_ASSIGNEMENT(TcpSocket);
public:
	TcpSocket(int fd);
	TcpSocket(const std::string & host,
	          unsigned int port);
	virtual ~TcpSocket();
private :
	void EnsureFDSocketIsTcp(int fd);
};

} /* namespace net */
#endif /* BIOROB_CPP_TCPSOCKET_H_ */
