/*
 * \file Common.h
 *
 *  \date Oct 18, 2013
 *  \author Alexandre Tuleu
 */

#ifndef BIOROB_CPP_NET_DNSSD_COMMON_H_
#define BIOROB_CPP_NET_DNSSD_COMMON_H_


namespace net {

namespace dnssd {
	enum Protocol {
		PROTO_UNSPEC = 0,
		PROTO_INET,  //TCP
		PROTO_INET6
	};

	enum Interface {
		IF_UNSPEC  = -1,
	};
}

}

#endif /* BIOROB_CPP_NET_DNSSD_COMMON_H_ */
