/*
 * \file UdpSocket.h
 *
 *  \date Sep 18, 2013
 *  \author Alexandre Tuleu
 */

#ifndef BIOROB_CPP_NET_UDPSOCKET_H_
#define BIOROB_CPP_NET_UDPSOCKET_H_

#include "Socket.h"

namespace net {

class UdpSocket : public Socket {
	DISABLE_COPY(UdpSocket);
	DISABLE_ASSIGNEMENT(UdpSocket);
public:
	UdpSocket(int fd);
	UdpSocket(const std::string & address,
	          unsigned int port);
	virtual ~UdpSocket();
private :
	void EnsureFDSocketIsUDP(int fd);
};

} /* namespace net */
#endif /* BIOROB_CPP_UDPSOCKET_H_ */
